Developer Suite
Register Sandbox
Register Sandbox
  1. Payout
  • Overview
  • API Endpoints
  • Ecommerce Checkout
    • Purchase
      POST
    • Get a transaction details
      POST
    • Close transaction
      POST
    • Check transaction
      POST
    • Refund API
      POST
    • Get transaction list
      POST
    • Exchange rate
      POST
  • Plugins
    • Shopify
    • Prestashop
    • Woocommerce
  • Credentials on File
    • Unschedule Payment
    • Schedule Payment
    • Link Account
      POST
    • Link Card
      POST
    • Payment
      POST
    • Renew Token
      POST
    • Get token details
      POST
    • Remove token
      POST
    • Subscription
      POST
  • ABA QR API
    • QR API
      POST
  • Payment Link
    • Create payment link
    • Get payment link details
  • Pre-auth
    • Complete pre-auth transactions
    • Complete pre-auh transaction with payout
    • Cancel pre-purchase transaction
  • Payout
    • Payout
      POST
    • Update a beneficiary status
      POST
    • Add a beneficiary to whitelist
      POST
  • KHQR Guideline
    • Get transactions
  • Resources
  1. Payout

Add a beneficiary to whitelist

POST
api/merchant-portal/merchant-access/whitelist-account/add-whitelist-payout
Use this API to whitelist accounts that you intend to split payment and payout. You'll first have to whitelist the accounts before you can use those accounts to request on payout request.

Request

Header Params

Body Params application/json

Example
{
    "request_time": "20200728093403",
    "merchant_id": "ec000002",
    "merchant_auth": "39aaa43...c00a",
    "hash": "EVDFA21....t+sWw=="
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://checkout-sandbox.payway.com.kh/api/merchant-portal/merchant-access/whitelist-account/add-whitelist-payout' \
--header 'Content-Type: application/json' \
--data '{
    "request_time": "20200728093403",
    "merchant_id": "ec000002",
    "merchant_auth": "39aaa43...c00a",
    "hash": "EVDFA21....t+sWw=="
}'

Responses

🟢200OK
application/json
Bodyapplication/json

Examples
{
    "data": {
        "name": "INDOCHINE LODGE",
        "payee": "318111358120004",
        "currency": "USD",
        "type": "MID",
        "status": "1",
        "created_at": "2022-09-19 07:52:51"
    },
    "status": {
        "code": "00",
        "message": "Success!"
    }
}
Previous
Update a beneficiary status
Next
KHQR Guideline